### Method

# EDataServer SourceWebdav get_ssl_trust

since: 3.8

#### Declaration [src]

    const gchar*
    e_source_webdav_get_ssl_trust (
      ESourceWebdav* extension
    )

#### Description [src]

Returns an SSL/TLS certificate trust for the `extension`. The value encodes three parameters, divided by a pipe ‘|’, the first is users preference, can be one of “reject”, “accept”, “temporary-reject” and “temporary-accept”. The second is a host name for which the trust was set. Finally the last is a SHA256 hash of the certificate. This is not meant to be changed by a caller, it is supposed to be manipulated with `e_source_webdav_update_ssl_trust()` and e_source_webdav_verify_ssl_trust().

Available since: 3.8

Gets property | `EDataServer.SourceWebdav:ssl-trust`

#### Return value

Type: `const gchar*`

An SSL/TLS certificate trust for the `extension`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.